class HTTPExceptionError:

    def __init__(self, lang):
        self.lang = lang

    def retrieve_error_needs(self, data, status_code, error_case, message_key):
        return dict(
            status_code=self.ERRORS_DICT[status_code],
            error_case=self.ERRORS_KEYS[error_case],
            data=data,
            message=ErrorMessages.get_message(message_key, self.lang),
        )


alchemy_error = AlchemyError(lang="")
